const CacheBase=require("../cache.base");
const system=require("../../system");
const settings = require("../../../config/settings");
//缓存首次登录的赠送的宝币数量
class UIConfigCache extends CacheBase{
   constructor(){
     super();
   }
   isdebug(){
    return settings.env=="dev";
  }
   desc(){
       return "应用UI配置缓存";
   }
   prefix(){
    return "g_uiconfig_";
   }
   async buildCacheVal(cachekey,inputkey,val,ex,...items){
    var configValue =system.getUiConfig2(inputkey);
    return JSON.stringify(configValue);
   }
}
module.exports=UIConfigCache;
